Quantal->Raring: UnicodeDecodeError: in NotEnoughFreeSpaceError

Bug #1172740 reported by Marius B. Kotsbak on 2013-04-25
68
This bug affects 13 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Michael Vogt
Trusty
High
Unassigned

Bug Description

[Test Case]
# apt-get install ubuntu-release-upgrader language-pack-ru vim-tiny
# export LC_ALL=ru_RU.UTF-8
# export LANG=en_US.UTF-8
# export LANGUAGE=en_US
# do-release-upgrade
ctrl-c
# cd /tmp/ubuntu-release-upgrader-*
# vi DistUpgradeCache.py in line 1139 go from 50 to 5000000
# ./dist-upgrade.py

Observe a Traceback ending with a UnicodeDecodeError in _checkFreeSpace()
To test the package in -proposed you'll need to use do-release-upgrade -p and switch to the new ubuntu-release-upgrader-* directory and make the modifications there.

Original Report
---------------
Traceback (most recent call last):

File "/tmp/ubuntu-release-upgrader-o9yy3k/raring", line 10, in
<module>
sys.exit(main())

File
"/tmp/ubuntu-release-upgrader-o9yy3k/DistUpgrade/DistUpgradeMain.py",
line 240, in main
if app.run():

File
"/tmp/ubuntu-release-upgrader-o9yy3k/DistUpgrade/DistUpgradeController.py",
line 1777, in run
return self.fullUpgrade()

File
"/tmp/ubuntu-release-upgrader-o9yy3k/DistUpgrade/DistUpgradeController.py",
line 1734, in fullUpgrade
if not self.askDistUpgrade():

File
"/tmp/ubuntu-release-upgrader-o9yy3k/DistUpgrade/DistUpgradeController.py",
line 968, in askDistUpgrade
if not self._checkFreeSpace():

File
"/tmp/ubuntu-release-upgrader-o9yy3k/DistUpgrade/DistUpgradeController.py",
line 945, in _checkFreeSpace
required.dir))

UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position
1: ordinal not in range(128)
=== Command detached from window (Thu Apr 25 16:39:54 2013) ===

ProblemType: BugDistroRelease: Ubuntu 12.10
Package: ubuntu-release-upgrader-core 1:0.190.6
ProcVersionSignature: Ubuntu 3.5.0-27.46-generic 3.5.7.7
Uname: Linux 3.5.0-27-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 2.6.1-0ubuntu10
Architecture: i386
Date: Thu Apr 25 16:49:19 2013
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=nb_NO.UTF-8
 LANGUAGE=nb_NO:nb:no_NO:no:nn_NO:nn:enSourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to quantal on 2013-04-25 (0 days ago)

Marius B. Kotsbak (mariusko) wrote :
Brian Murray (brian-murray) wrote :

In case you are in a hurry to upgrade the reason that failed follows:

2013-04-25 16:39:54,726 ERROR Not enough free space: ['/var/cache/apt/archives']

Changed in ubuntu-release-upgrader (Ubuntu):
importance: Undecided → High
summary: - Quantal->Raring: UnicodeDecodeError: 'ascii' codec can't decode byte
- 0xc2 in position 1: ordinal not in range(128)
+ Quantal->Raring: UnicodeDecodeError: in NotEnoughFreeSpaceError
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → Triaged

Happens when upgrading from Raring to Saucy with "fi_FI.UTF-8" locale.

File "/tmp/ubuntu-release-upgrader-4ho6kj/saucy", line 10, in
<module>
sys.exit(main())

File
"/tmp/ubuntu-release-upgrader-4ho6kj/DistUpgrade/DistUpgradeMain.py",
line 243, in main
if app.run():

File
"/tmp/ubuntu-release-upgrader-4ho6kj/DistUpgrade/DistUpgradeController.py",
line 1791, in run
return self.fullUpgrade()

File
"/tmp/ubuntu-release-upgrader-4ho6kj/DistUpgrade/DistUpgradeController.py",
line 1744, in fullUpgrade
if not self.askDistUpgrade():

File
"/tmp/ubuntu-release-upgrader-4ho6kj/DistUpgrade/DistUpgradeController.py",
line 978, in askDistUpgrade
if not self._checkFreeSpace():

File
"/tmp/ubuntu-release-upgrader-4ho6kj/DistUpgrade/DistUpgradeController.py",
line 955, in _checkFreeSpace
required.dir))

UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position
1: ordinal not in range(128)

----------
LC_ALL=C sudo do-release-upgrade
triggers this bug: https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/929399
----------
Correct way to continue is:
LC_ALL=C.UTF-8 sudo do-release-upgrade
(And then it shows how much space I need to free)

Brian Murray (brian-murray) wrote :

This is also happening for distribution upgrades from Saucy to Trusty.

https://errors.ubuntu.com/problem/62007d77c6186ac3c66640032d22119e711b39c6

Brian Murray (brian-murray) wrote :

I've tried recreating this by installing the Russian language and modifying DistUpgradeCache.py to require an extraordinary amount of free space in /, but I only ever received a Russian dialog indicating that I need to free space. I've yet to recreate the Traceback.

Changed in ubuntu-release-upgrader (Ubuntu):
milestone: none → trusty-updates
Michael Vogt (mvo) wrote :

I can (finally) reproduce this crash with the following commands:
# chroot clean-saucy-chroot
# apt-get install ubuntu-release-upgrader language-pack-ru vim-tiny
# export LC_ALL=ru_RU.UTF-8
# export LANG=en_US.UTF-8
# export LANGUAGE=en_US
# do-release-upgrade
ctrl-c
# cd /tmp/ubuntu-release-upgrader-*
# vi DistUpgradeCache.py in line 1139 go from 50 to 5000000
# ./dist-upgrade.py
this trigges the crash for me. Different values may not trigger it

Michael Vogt (mvo) on 2014-04-24
Changed in ubuntu-release-upgrader (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Michael Vogt (mvo)
Changed in ubuntu-release-upgrader (Ubuntu Trusty):
importance: Undecided → High
status: New → In Progress
milestone: none → trusty-updates
description: updated

Hello Marius, or anyone else affected,

Accepted ubuntu-release-upgrader into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:0.220.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

I tested the ubuntu-release-upgrader in trusty-proposed (after updating the meta-release-proposed file to point at it) and was able to successfully verify the fix for this bug.

description: updated
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:14.10.2

---------------
ubuntu-release-upgrader (1:14.10.2) utopic; urgency=low

  * debian/test/control:
    - add missing pep8 test dependency
  * tests/test_xorg_fix_intrepid.py:
    -
 -- Michael Vogt <email address hidden> Sat, 03 May 2014 08:37:51 +0200

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
Odin Hørthe Omdal (velmont) wrote :

I was also hit by this bug, and didn't find this one, so I made a duplicate. In that bug, I also said that I had posted a patch to the Debian upstream so that they could always return Unicode for size_to_str [0]. It is really the responsibility of the library.

  [0] <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=750120>

Changed in python-apt (Debian):
status: Unknown → Confirmed
Steve Langasek (vorlon) wrote :

Hello Marius, or anyone else affected,

Accepted ubuntu-release-upgrader into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:0.220.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:0.220.4

---------------
ubuntu-release-upgrader (1:0.220.4) trusty-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix crash in free space check for certain locales (LP: #1172740)
    - removal of essential packages that are not in the main arch
      is ok (LP: #1307904)
    - fix str/unicode crash in certain locales when a package is
      found in the removal blacklist (LP: #1310053)
  * DistUpgrade/DistUpgradeViewGtk3.py:
   - make details dialog resize when details are expanded/collapsed
     (LP: #1072460)
    - load webkit only when needed
  * DistUpgrade/DistUpgradeViewText.py:
    - fix py3 crash in text mode
  * DistUpgrade/DistUpgradeMain.py:
    - log python version
  * po/{eo,id,ug}.po:
    - fix translations of check-new-release-gtk which cause a crash
      (LP: #1311396)
  * data/demoted.cfg:
    - autmatic refresh of the demoted packages
  * po/*.po:
    - automatic refresh from launchpad
 -- Michael Vogt <email address hidden> Thu, 24 Apr 2014 14:57:39 +0200

Changed in ubuntu-release-upgrader (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

no longer affects: python-apt (Debian)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers